local mapDrawer = {}
tiles = {}

mapdata = {
	{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
	{1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1},
	{1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
	{1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
	{1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1},
	{1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,1},
	{1,0,0,0,0,0,0,1,1,1,1,1,0,0,0,1},
	{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
	{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}
}

function mapDrawer.mapLoad ()
	for i = 1,#mapdata do
		rows = mapdata[i]
		for j = 1,#rows do
			num = rows [j]
			if num ~= 0 then
				local a = {}
				a.x = 16 * j
				a.y = 16 * i
				a.w = 16
				a.h = 16
				table.insert(tiles,a)
			end
		end
	end
end

function mapDrawer.mapDraw()
	for i = 1, #tiles do
		local o = tiles[i]
		love.graphics.rectangle("line",o.x,o.y,o.w,o.h)
	end	
end

function mapDrawer.mapTiles()
	return tiles
end

return mapDrawer