box = require "modules/boxcol"
slopes = require "modules/boxcol_slopes"

map = require"modules/drawerExamp"
objects = {}
speed = 0

function love.load()
	p = box.new_box(48,48,32,32,"ent")
	-- objects = {box.new_box(96,160,16,16)}
	map.mapLoad()
	
	a = slopes.new_slope(112,112,16,16,"br")
	c = slopes.new_slope(128,96,16,16,"br")
	d = slopes.new_slope(192,96,16,16,"bl")
	e = slopes.new_slope(208,112,16,16,"bl")
	
	table.insert (objects, a)
	table.insert (objects, c)
	tiles = map.mapTiles()
	
	for i = 1,#tiles do
		local t = tiles[i]
		local b = box.new_box(t.x,t.y,t.w,t.h,"solid")
		table.insert(objects,b)
	end
end

function love.update(dt)
	--Do not touch
	box.updatePos()
	--------------
	
	mLeft = love.keyboard.isDown("left")
	mRight = love.keyboard.isDown("right")
	mUp = love.keyboard.isDown("up")
	mDown = love.keyboard.isDown("down")
	
	a:inter(p)
	c:inter(p)
	d:inter(p)
	e:inter(p)
		
	-- horizontal movement
	
	-- xcol = {p:dist(p:closest(p:xax(objects)))} 


	if mLeft then
		p:move(-1,0,150,slopes,dt)
	elseif mRight then
		p:move(1,0,150,slopes,dt)
	end
	
	if mUp then
		p:move(0,1,150,slopes,dt)
	elseif mDown then
		
	end
	p:move(0,-1,200,slopes,dt)
end

function love.draw()
	love.graphics.setColor(1,1,1)
	--test
	-- love.graphics.print(p:closest(objects),16,16)
	love.graphics.print("FPS ".. love.timer.getFPS())
	love.graphics.print("x:" .. p.x .. " y:".. p.y,0,16)
	
	love.graphics.rectangle("fill",p.x,p.y,p.w,p.h)
	
	-- for i = 1,#objects do
		-- love.graphics.rectangle("line",objects[i].x,objects[i].y,objects[i].w,objects[i].h)
	-- end

	-- p:closestT(p:xax(objects))
	-- p:closestT(p:yax(objects))
	map.mapDraw()
	box.showtrue("x")
	box.showtrue("y")
	
	love.graphics.setColor(0,1,0)
	love.graphics.rectangle("fill",a.x,a.y,a.w,a.h)
	love.graphics.rectangle("fill",c.x,c.y,c.w,c.h)
	love.graphics.rectangle("fill",d.x,d.y,d.w,d.h)
	love.graphics.rectangle("fill",e.x,e.y,e.w,e.h)
	
end

function love.keypressed (k)
	if k == "q" then
		p.x = 112
		p.y = 48
	end
	if k == "w" then
		p.x = 128
		p.y = 48
	end
	if k == "e" then
		p.x = 192
		p.y = 48
	end
	if k == "r" then
		p.x = 208
		p.y = 48
	end
end